Page MenuHomePhabricator

[Task] Change license text of m.wikidata.org to be the same as desktop site and mention CC-0
Closed, ResolvedPublic

Description

The legal text for m.wikidata.org should be changed to be the same as the one on the desktop site.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterSupport alternate message keys in footer
mediawiki/extensions/MobileFrontend : masterAdd a "SkinMinervaLicenseFooter" hook

Event Timeline

Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added a subscriber: Josve05a.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 12:17 PM
Lydia_Pintscher renamed this task from License of m.wikidata.org should be CC0 to [Task] Change license text of m.wikidata.org to be the same as desktop site and mention CC-0.Sep 10 2015, 12:22 PM
Lydia_Pintscher assigned this task to Bene.
Lydia_Pintscher triaged this task as High priority.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.

@Lydia_Pintscher add this to the sprint as well? It should be not too hard to figure out which configuration needs to change and this currently blocks the deployment of redirecting users to the mobile site.

Yeah. Fine from my side. This is important to fix.

@Bene are you going to work on this in the next days or should someone else do it?

Bene removed Bene as the assignee of this task.Sep 28 2015, 2:11 PM
Bene added a subscriber: Bene.

I'm fine with someone else doing this as I'm busy IRL at the moment.

hoo claimed this task.Sep 29 2015, 8:56 PM
hoo moved this task from Backlog to Doing on the Wikidata-Sprint-2015-09-29 board.
hoo moved this task from Doing to Review on the Wikidata-Sprint-2015-09-29 board.

Change 242339 had a related patch set uploaded (by Florianschmidtwelzow):
Add a "SkinMinervaLicenseFooter" hook

https://gerrit.wikimedia.org/r/242339

Just update $wgRightsUrl and $wgRightsText in config - no need for a MobileFrontend change.

Change 242339 merged by jenkins-bot:
Add a "SkinMinervaLicenseFooter" hook

https://gerrit.wikimedia.org/r/242339

Change 242602 had a related patch set uploaded (by Jdlrobson):
Support multiple license links in footer

https://gerrit.wikimedia.org/r/242602

Change 242602 merged by jenkins-bot:
Support alternate message keys in footer

https://gerrit.wikimedia.org/r/242602

hoo closed this task as Resolved.Oct 2 2015, 4:16 PM
hoo removed a project: Patch-For-Review.
hoo moved this task from Review to Done on the Wikidata-Sprint-2015-09-29 board.